Skip to main content
`Ctrl`+`K`

# RGEllipseSetParameters

Sets the parameters defining the ellipse region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGEllipseSetParameters(RG rg,PetscScalar center,PetscReal radius,PetscReal vscale)

Logically Collective

## Input Parameters

- rg - the region context

- center - center of the ellipse

- radius - radius of the ellipse

- vscale - vertical scale of the ellipse

## Options Database Keys

- -rg_ellipse_center <center> - sets the center

- -rg_ellipse_radius <radius> - sets the radius

- -rg_ellipse_vscale <vscale> - sets the vertical scale

## Notes

In the case of complex scalars, a complex center can be provided in the command line with `[+/-][realnumber][+/-]realnumberi` with no spaces, e.g., `-rg_ellipse_center 1.0+2.0i`.

When PETSc is built with real scalars, the center is restricted to a real value.

For `radius` and `vscale`, you can use `PETSC_CURRENT` to keep the current value, and `PETSC_DETERMINE` to set them to a default of 1.

## See Also

RG: Region, `RGELLIPSE`, `RGEllipseGetParameters()`

## Level

advanced

## Location

src/sys/classes/rg/impls/ellipse/rgellipse.c

## Implementations

RGEllipseSetParameters_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages